//
//  AppDelegate.swift
//  JUnionDemo
//
//  Created by Allan on 2020/9/15.
//  Copyright © 2020 hxhg. All rights reserved.
//

import UIKit
import JUnion
@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {
    var window: UIWindow?
    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        // Override point for customization after application launch.
        JUService.setDebug(enable: true)
        JUService.setAppkey(appkey: "035f8910804696ab160ccaf3", channelId: "apple")

        JUService.login(nickname: "Alan", avatar: "", phone: "18565775329", userid: "123") { (result, msg) in
            print("result:\(result) msg:\(msg)")
        }
        JUService.setUserTag(uid:"",userInfo:["gender": "1", "age":"18"])
//        JUService.logout()
        JUService.checkBussinessEnable { (result, eror) in
            
        }

        
        
        self.window = UIWindow(frame:UIScreen.main.bounds)
        let storyBoard = UIStoryboard.init(name: "Main", bundle: nil)
        let tabBar = storyBoard.instantiateViewController(withIdentifier: "tabBar")
        self.window?.rootViewController = tabBar
        self.window?.makeKeyAndVisible()
        return true
    }

}

